Name:     gpsk31
Version:  0.5
Release:  2%{?dist}
Summary:  PSK31 for Linux with a GTK+ Interface

Group:    Applications/Communications
License:  GPLv2+
URL:      http://www.qsl.net/pg4i/linux/gpsk31.html
Source0:  http://www.qsl.net/pg4i/download/%{name}-%{version}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils, pkgconfig, gtk2-devel >= 2.0.0
#Requires:

%description
Hamradio PSK31 for Linux with a GTK+ Interface.

%prep
%setup -q
sed -i -e "s/.png//g" -e "s/Network;HamRadio/HamRadio;/g" %{name}.desktop

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

desktop-file-install --delete-original  \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications   \
        --remove-category Application \
        $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/gpsk31
%{_datadir}/applications/*
%{_datadir}/gpsk31
%{_datadir}/man/man1/gpsk31.1.gz
%{_datadir}/pixmaps/gpsk31.png

%changelog
* Wed Oct 15 2008 Lucian Langa <cooly@gnome.eu.org> - 0.5-2
- update source

* Wed Oct 15 2008 Lucian Langa <cooly@gnome.eu.org> - 0.5-1
- new upstream release
- preserve timestamps
- fix desktop icon

* Sun Feb 17 2008 Robert 'Bob' Jensen <bob@bobjensen.com> 0.3-3
- Submit for review

* Wed Nov 21 2007 Sindre Pedersen Bjørdal <foolish@guezz.net> 0.3-2
- Update License tag
- Add doc files
- Add desktop-file-utils shebang

* Sun Apr 29 2007 Robert 'Bob' Jensen <bob@bobjensen.com> 0.3-0
- Initial spec file
